public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libaom/
Date: Sun, 25 Sep 2022 04:32:42 +0000 (UTC)	[thread overview]
Message-ID: <1664080220.a2760c11992fad88374b11deb8db1e645269bb8b.sam@gentoo> (raw)

commit:     a2760c11992fad88374b11deb8db1e645269bb8b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 25 04:30:06 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 25 04:30:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2760c11

media-libs/libaom: add 3.5.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libaom/Manifest                         |  1 +
 .../{libaom-9999.ebuild => libaom-3.5.0.ebuild}    | 36 ++++++++++++++++++++--
 media-libs/libaom/libaom-9999.ebuild               | 36 ++++++++++++++++++++--
 3 files changed, 67 insertions(+), 6 deletions(-)

diff --git a/media-libs/libaom/Manifest b/media-libs/libaom/Manifest
index 74b88245f6e4..d9317b5b8cae 100644
--- a/media-libs/libaom/Manifest
+++ b/media-libs/libaom/Manifest
@@ -1,2 +1,3 @@
 DIST libaom-3.3.0.tar.gz 4768475 BLAKE2B 22060694019bcd925cb38c365063b8f2be60aed4cc6f9b0aa95cf8b4c4c5b40f5c603359d8c0728c5650fe9f7eea7573b8fd4a93975481c67409b201b4c48428 SHA512 9bd118bf46d777da4e85f348fed95510ce583d16d005d062d33e2899f16f24bdb8b120792a7c77ccb64b4e1ff5b3d934342fb1b356bb426693ef69220f138c5f
 DIST libaom-3.4.0.tar.gz 5175838 BLAKE2B 7a38cc1a1871f044018a8ebf5022810b753b099ad61e0c6e2625a0480946e8b5e066fd1e1abc5523e817025c8a59d6f1092c12d632c5b602cf3a80f6ef8daa0e SHA512 8de5e7eae96b182ceb33ce2c66fde784349a7a117371177102c358cc9b2cad75bebe2849fdf8ce57ae149a38b43419b51e54e5475cb781ed3d5953081127b478
+DIST libaom-3.5.0.tar.gz 5206715 BLAKE2B d47ddb864c909c972f692667177417daef0350124a096547eacc83ab3630227fe7a23e95f3988a2109c580f9a87ba30a58bcc58be1a2e24fe694eb01655a4861 SHA512 370c529a84d54c95f05c5a3b3edadd1cca95eeccd5a6b5454e574211c6dd9bf5bd33ab67b43587c6de37688fe546ea9e16de0ab2d721e965143b7e8c85db6fd4

diff --git a/media-libs/libaom/libaom-9999.ebuild b/media-libs/libaom/libaom-3.5.0.ebuild
similarity index 70%
copy from media-libs/libaom/libaom-9999.ebuild
copy to media-libs/libaom/libaom-3.5.0.ebuild
index 39cf3f69c8d2..7c969b44ed77 100644
--- a/media-libs/libaom/libaom-9999.ebuild
+++ b/media-libs/libaom/libaom-3.5.0.ebuild
@@ -19,10 +19,12 @@ HOMEPAGE="https://aomedia.org https://aomedia.googlesource.com/aom/"
 
 LICENSE="BSD-2"
 SLOT="0/3"
-IUSE="doc +examples"
+IUSE="doc +examples test"
 IUSE="${IUSE} cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_x86_sse3 cpu_flags_x86_ssse3"
 IUSE="${IUSE} cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_avx cpu_flags_x86_avx2"
 IUSE="${IUSE} cpu_flags_arm_neon"
+# Tests need more wiring up
+RESTRICT="!test? ( test ) test"
 
 REQUIRED_USE="
 	cpu_flags_x86_sse2? ( cpu_flags_x86_mmx )
@@ -37,16 +39,20 @@ BDEPEND="${PYTHON_DEPS}
 	doc? ( app-doc/doxygen )
 "
 
-# the PATENTS file is required to be distributed with this package, bug #682214
+# The PATENTS file is required to be distributed with this package, bug #682214
 DOCS=( PATENTS )
 
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.4.0-posix-c-source-ftello.patch
+)
+
 multilib_src_configure() {
 	local mycmakeargs=(
 		-DENABLE_CCACHE=OFF
 		-DENABLE_DOCS=$(multilib_native_usex doc ON OFF)
 		-DENABLE_EXAMPLES=$(multilib_native_usex examples ON OFF)
 		-DENABLE_NASM=OFF
-		-DENABLE_TESTS=OFF
+		-DENABLE_TESTS=$(usex test)
 		-DENABLE_TOOLS=ON
 		-DENABLE_WERROR=OFF
 
@@ -67,9 +73,33 @@ multilib_src_configure() {
 		-DENABLE_AVX2=$(usex cpu_flags_x86_avx2 ON OFF)
 	)
 
+	# For 32-bit multilib builds, force some intrinsics on to work around
+	# bug #816027. libaom seems to do runtime detection for some targets
+	# at least, so this isn't an issue.
+	if ! multilib_is_native_abi && use amd64 ; then
+		mycmakeargs+=(
+			-DENABLE_SSE3=ON
+			-DENABLE_SSSE3=ON
+		)
+	fi
+
+	# On ARM32-on-ARM64, things end up failing if NEON is off, bug #835456
+	# Just force generic, given it's a niche situation.
+	# TODO: could try forcing armv7 or similar?
+	if use arm && ! use cpu_flags_arm_neon && [[ $(uname -p) == "aarch64" ]] ; then
+		ewarn "Forcing generic for arm32-on-arm64 build (bug #835456)"
+		mycmakeargs+=(
+			-DAOM_TARGET_CPU=generic
+		)
+	fi
+
 	cmake_src_configure
 }
 
+multilib_src_test() {
+	"${BUILD_DIR}"/test_libaom || die
+}
+
 multilib_src_install() {
 	if multilib_is_native_abi && use doc ; then
 		local HTML_DOCS=( "${BUILD_DIR}"/docs/html/. )

diff --git a/media-libs/libaom/libaom-9999.ebuild b/media-libs/libaom/libaom-9999.ebuild
index 39cf3f69c8d2..7c969b44ed77 100644
--- a/media-libs/libaom/libaom-9999.ebuild
+++ b/media-libs/libaom/libaom-9999.ebuild
@@ -19,10 +19,12 @@ HOMEPAGE="https://aomedia.org https://aomedia.googlesource.com/aom/"
 
 LICENSE="BSD-2"
 SLOT="0/3"
-IUSE="doc +examples"
+IUSE="doc +examples test"
 IUSE="${IUSE} cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_x86_sse3 cpu_flags_x86_ssse3"
 IUSE="${IUSE} cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_avx cpu_flags_x86_avx2"
 IUSE="${IUSE} cpu_flags_arm_neon"
+# Tests need more wiring up
+RESTRICT="!test? ( test ) test"
 
 REQUIRED_USE="
 	cpu_flags_x86_sse2? ( cpu_flags_x86_mmx )
@@ -37,16 +39,20 @@ BDEPEND="${PYTHON_DEPS}
 	doc? ( app-doc/doxygen )
 "
 
-# the PATENTS file is required to be distributed with this package, bug #682214
+# The PATENTS file is required to be distributed with this package, bug #682214
 DOCS=( PATENTS )
 
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.4.0-posix-c-source-ftello.patch
+)
+
 multilib_src_configure() {
 	local mycmakeargs=(
 		-DENABLE_CCACHE=OFF
 		-DENABLE_DOCS=$(multilib_native_usex doc ON OFF)
 		-DENABLE_EXAMPLES=$(multilib_native_usex examples ON OFF)
 		-DENABLE_NASM=OFF
-		-DENABLE_TESTS=OFF
+		-DENABLE_TESTS=$(usex test)
 		-DENABLE_TOOLS=ON
 		-DENABLE_WERROR=OFF
 
@@ -67,9 +73,33 @@ multilib_src_configure() {
 		-DENABLE_AVX2=$(usex cpu_flags_x86_avx2 ON OFF)
 	)
 
+	# For 32-bit multilib builds, force some intrinsics on to work around
+	# bug #816027. libaom seems to do runtime detection for some targets
+	# at least, so this isn't an issue.
+	if ! multilib_is_native_abi && use amd64 ; then
+		mycmakeargs+=(
+			-DENABLE_SSE3=ON
+			-DENABLE_SSSE3=ON
+		)
+	fi
+
+	# On ARM32-on-ARM64, things end up failing if NEON is off, bug #835456
+	# Just force generic, given it's a niche situation.
+	# TODO: could try forcing armv7 or similar?
+	if use arm && ! use cpu_flags_arm_neon && [[ $(uname -p) == "aarch64" ]] ; then
+		ewarn "Forcing generic for arm32-on-arm64 build (bug #835456)"
+		mycmakeargs+=(
+			-DAOM_TARGET_CPU=generic
+		)
+	fi
+
 	cmake_src_configure
 }
 
+multilib_src_test() {
+	"${BUILD_DIR}"/test_libaom || die
+}
+
 multilib_src_install() {
 	if multilib_is_native_abi && use doc ; then
 		local HTML_DOCS=( "${BUILD_DIR}"/docs/html/. )


             reply	other threads:[~2022-09-25  4:32 UTC|newest]

Thread overview: 138+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-25  4:32 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08 16:42 [gentoo-commits] repo/gentoo:master commit in: media-libs/libaom/ Arthur Zamarin
2025-03-08  8:39 Arthur Zamarin
2025-03-08  6:46 Arthur Zamarin
2025-03-08  1:37 Sam James
2025-03-08  1:10 Jakov Smolić
2024-10-25 22:55 Matt Jolly
2024-10-25 22:55 Matt Jolly
2024-10-07  2:52 Sam James
2024-09-29  0:14 Sam James
2024-09-23  8:21 Arthur Zamarin
2024-09-23  6:18 Arthur Zamarin
2024-09-23  6:18 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-07-24  1:28 Matt Jolly
2024-07-20 11:10 Matt Jolly
2024-06-14  5:32 Arthur Zamarin
2024-06-14  5:32 Arthur Zamarin
2024-06-14  5:32 Arthur Zamarin
2024-06-14  5:32 Arthur Zamarin
2024-05-31 22:01 Matt Jolly
2024-05-31 22:01 Matt Jolly
2024-02-02  0:08 Sam James
2024-01-05  9:59 Sam James
2023-12-22 13:43 Arthur Zamarin
2023-12-22  7:47 Sam James
2023-12-22  7:21 Arthur Zamarin
2023-12-22  5:07 Sam James
2023-12-21 16:30 Arthur Zamarin
2023-12-21 16:01 Arthur Zamarin
2023-12-19  5:23 Sam James
2023-11-27 11:13 Sam James
2023-11-20 10:06 Sam James
2023-09-24 21:59 Sam James
2023-06-09 17:26 Arthur Zamarin
2023-05-10 23:37 Sam James
2023-03-21  4:24 Sam James
2023-03-07 16:31 Sam James
2023-03-04 11:15 Arthur Zamarin
2023-03-04  9:16 Arthur Zamarin
2023-03-04  9:03 Arthur Zamarin
2023-03-04  6:28 Arthur Zamarin
2023-03-04  5:50 Arthur Zamarin
2022-11-12 16:07 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-09-05  3:56 Sam James
2022-09-03  5:27 Sam James
2022-07-30  2:22 Sam James
2022-07-13 15:13 Joonas Niilola
2022-07-07 14:25 Alexis Ballier
2022-05-17 11:54 WANG Xuerui
2022-05-17 11:54 WANG Xuerui
2022-05-17  5:34 Sam James
2022-04-17 19:24 Sam James
2022-03-17  2:09 Sam James
2022-03-17  2:09 Sam James
2022-03-12 16:30 Arthur Zamarin
2022-03-12 13:29 Arthur Zamarin
2022-03-12 11:51 Jakov Smolić
2022-03-12 11:51 Jakov Smolić
2022-03-12 10:51 Arthur Zamarin
2022-02-18  0:40 Sam James
2022-01-05 10:01 David Seifert
2022-01-02 20:50 Arthur Zamarin
2022-01-02 19:11 Arthur Zamarin
2022-01-02 19:07 Arthur Zamarin
2022-01-02 19:07 Arthur Zamarin
2022-01-02 13:45 Jakov Smolić
2022-01-02 11:22 Jakov Smolić
2021-12-24  7:30 Sam James
2021-12-24  7:24 Sam James
2021-12-24  7:18 Sam James
2021-12-24  7:17 Sam James
2021-12-24  7:16 Sam James
2021-12-24  7:16 Sam James
2021-12-24  7:11 Sam James
2021-12-24  7:05 Sam James
2021-12-24  7:01 罗百科
2021-12-24  6:17 Sam James
2021-12-24  6:14 Sam James
2021-12-24  6:14 Sam James
2021-09-24 23:40 Sam James
2021-08-02 12:33 Marek Szuba
2021-06-25 11:41 Thomas Deutschmann
2021-04-12 22:04 Thomas Deutschmann
2021-04-12 21:10 Thomas Deutschmann
2021-01-19 10:57 Lars Wendler
2020-10-13 10:01 Agostino Sarubbo
2020-10-11 15:19 Sam James
2020-10-11 15:15 Sam James
2020-10-11  9:00 Sergei Trofimovich
2020-10-11  8:57 Sergei Trofimovich
2020-10-09  8:31 Agostino Sarubbo
2020-06-09 14:06 Luca Barbato
2020-06-09  9:01 Luca Barbato
2020-06-09  8:34 Luca Barbato
2020-05-09 15:21 Thomas Deutschmann
2020-05-09 12:25 Thomas Deutschmann
2020-05-07 17:08 Thomas Deutschmann
2020-05-07 13:33 Thomas Deutschmann
2020-03-19 17:57 Andreas Sturmlechner
2020-03-19 17:57 Andreas Sturmlechner
2019-10-13 17:46 Matt Turner
2019-10-13 17:46 Matt Turner
2019-10-12 23:50 Matt Turner
2019-09-26 20:00 Mikle Kolyada
2019-09-14  5:03 Matt Turner
2019-09-14  5:03 Matt Turner
2019-08-01 20:07 Andreas Sturmlechner
2019-08-01 16:11 Aaron Bauman
2019-07-28 13:53 Mikle Kolyada
2019-07-08 12:10 Thomas Deutschmann
2019-05-21 21:50 Aaron Bauman
2019-05-21 19:56 Aaron Bauman
2019-05-21  6:31 Aaron Bauman
2019-02-16 17:06 Andreas Sturmlechner
2019-02-16 17:06 Andreas Sturmlechner
2019-02-16 17:06 Andreas Sturmlechner
2019-02-16 17:06 Andreas Sturmlechner
2019-02-15 12:36 Alexis Ballier
2018-12-23  3:25 Matt Turner
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-07-22  1:55 Mikle Kolyada
2018-07-20 15:27 Alexis Ballier
2018-06-28 17:23 Alexis Ballier
2018-06-11  9:59 Thomas Deutschmann
2018-05-13 19:20 Aaron Bauman
2018-05-01 11:47 Jeroen Roovers
2018-04-28 17:40 Sergei Trofimovich
2018-04-21 10:04 Alexis Ballier
2018-04-21 10:04 Alexis Ballier
2018-02-22 13:40 Alexis Ballier
2017-04-23 16:16 Alexis Ballier
2016-09-17 12:17 Luca Barbato

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664080220.a2760c11992fad88374b11deb8db1e645269bb8b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox